select 
case t.subcateg when -1 then ca.categname else ca.categname ||':'||sc.subcategname end as "title"
, amount as value
, '' as COLOR
from(
    select 
    c.transid, cf.BaseConvRate
       , c.accountid, c.transcode
       , case ifnull(c.categid, -1) when -1 then -1 else c.categid end as categ
       , case ifnull(c.subcategid,-1) when -1 then -1 else c.subcategid end as subcateg
       , c.payeeid
       , sum((case c.categid when -1 then  splittransamount else  transamount  end) 
           * (case transcode when 'Withdrawal' then - cf.BaseConvRate else cf.BaseConvRate end)
            ) amount
    from checkingaccount_v1 c
    left join splittransactions_v1 s on s.transid=c.transid
    left join ACCOUNTLIST_V1 AC on AC.ACCOUNTID = c.ACCOUNTID
    left join currencyformats_v1 cf on cf.currencyid=AC.currencyid
    where transcode != 'Transfer'
    and c.status !='V'
    and ac.status !='Closed'
    and (date('now', 'start of month','-0 month','localtime') <= transdate
        and transdate < date('now', 'start of month','+1 month','localtime'))
    group by categ, subcateg
    ) t 
    left join category_v1 ca on ca.categid=t.categ
    left join subcategory_v1 sc on sc.categid=t.categ and sc.subcategid=t.subcateg
where amount <0
order by title